﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Tests
{
    public class PropertyChangedHandler
    {
        private readonly IList<string> _raisedProperties = new List<string>();

        public void PropertyChanged(object sender, PropertyChangedEventArgs args)
        {
            _raisedProperties.Add(args.PropertyName);
        }

        public void Verify(string property)
        {
            Assert.IsTrue(_raisedProperties.Contains(property), "PropertyChanged Event for Property <" + property + "> missing");
        }
    }
}
